Description

Patch allows users to manipulate custom date fields using their local format.

Adds a library routine to the I18n extensions. The routine provides for the parsing of a user entered date into a Date object.

The custom value model has been upated to correctly account for the user's date setting (if available). If not, defaults to

YYYY-MM-DD.

This allows users to enter their dates in their localized format (as defined by setting.date_format), and have it correctly transformed to

YYYY-MM-DD. If the localized setting is not available, falls back to YYYY-MM-DD for input.

This partially fixes defect #668 as it applies to custom fields. This was a major pain point for our users, so hopefully will solve a lot of

problems experienced elsewhere.

Related issues:

Related to Redmine - Defect #668: Date input fields don't respect date format... New 2008-02-15

History

#1 - 2011-03-23 09:49 - Toshi MARUYAMA

- Category set to Custom fields

#2 - 2012-02-01 10:10 - Frank Helk

Any plan to put it on the roadmap ?

#3 - 2012-08-12 17:31 - Artur M

Frank Helk wrote:

Any plan to put it on the roadmap ?

 +1

Files

scvmc_redmine_668p1_custom_field_dates.diff 2.08 KB 2010-09-21 Stuart Cianos
